## org.openorb.CORBA
Class Principal

    java.lang.Object
      |
      +--org.omg.CORBA.Principal
            |
            +--org.openorb.CORBA.Principal

public class Principal
extends Principal

Version:
  $Revision: 1.5 $ $Date: 2002/07/16 11:17:13 $
Author:
  Jerome Daniel

Constructor Summary
`Principal(byte[] name)` Constructor with fields initialization

Method Summary
`boolean` `equals(java.lang.Object obj)`
`byte[]` `name()`
`void` `name(byte[] m_name)`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Principal

    public Principal(byte[] name)

  Constructor with fields initialization
  Parameters:
    `name` - name struct member

Method Detail

### name

    public void name(byte[] m_name)

  Overrides:
    `name` in class `Principal`

### name

    public byte[] name()

  Overrides:
    `name` in class `Principal`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`